package com.bootdo.system.dao;

import com.bootdo.system.domain.QueryDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 18:29:04
 */
@Mapper
public interface QueryDao {

	QueryDO get(Long id);
	
	List<QueryDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(QueryDO query);
	
	int update(QueryDO query);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);
}
